Subject: Emacs freezes for a while visitin Conf (.ini)) buffers

From: Angelo Graziosi <[email-masked]>
Date: Sun, 12 Oct 2014 10:24:18 +0200

I have see this trying to visit Cygwin setup.ini files [*], for example:

   ftp://mirrors.kernel.org/sourceware/cygwin/x86_64/setup.ini

(it is a file of about 2.5 MiB).

After C-x C-f setup.ini, Emacs freezes (or hangs, if you prefer) and 
does not respond for a while (> 1 minute), CPU is at 80-100%. Then it 
works fine. Maybe it is processing the file but I wonder if this 
'freezing' is to be expected.

I have experimented this with Cygwin and MSYS2-MinGW64 builds.

Ciao,
  Angelo.

---
[*] Mode line shows it is in Config[Colon] mode